Bug 104983 - Dragging on Slides sidebar vertically on a Windows touchscreen moving a page instead of scrolling
Summary: Dragging on Slides sidebar vertically on a Windows touchscreen moving a page ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta2
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Win-Touch Scrollbars
  Show dependency treegraph
 
Reported: 2016-12-29 17:29 UTC by Volga
Modified: 2018-02-13 03:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2016-12-29 17:29:57 UTC
Description:
On Impress, dragging on Slides sidebar on a Windows touchscreen does not scroll to choose the page, instead, it would drag a page into another place.

Steps to Reproduce:
This is reproduced only on Windows touchscreen devices.
1. Download any of Impress Presentations from https://wiki.documentfoundation.org/Gallery_Presentations
2. Open with LibreOfficeDev Impress
3. Switch to normal mode (View -> Normal)


Actual Results:  
When I drag on Slides sidebar on touchscreen, one of the pages will be moved.

Expected Results:
When dragging on Slides sidebar on a Windows touchscreen, the Slides sidebar should be scrolled. This is convenient to Windows touchscreen devices.


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.3.0.0.beta2+ (x64)
Build ID: 371f0f6770add78ae81e0f769d0490874bca353c
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:libreoffice-5-3, Time: 2016-12-22_13:59:31
Locale: zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Buovjaga 2017-01-05 10:37:02 UTC
Reproduced with an Asus T100TA

Version: 5.4.0.0.alpha0+
Build ID: 7b3f5a9c939c6976f6cf58bf0acfce3b8d8ae793
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-28_23:10:06
Locale: fi-FI (fi_FI); Calc: group
Comment 2 QA Administrators 2018-02-13 03:33:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug